We're updating the issue view to help you get more done. 

Require Maven 3.2.3 and improve some poms

Description

  • Maven 3.2.3 ensures all dependencies are downloaded via HTTPS, it's considered now a good practice to use this version (at least)

  • The javadocs module is only being build in the docs profile, but still the distribution module refers to it, producing a confusing build error and failing IDE import.

  • JipiJapa is no longer needed

  • Some more unnecessary groupId can be removed

Environment

None

Status

Assignee

Sanne Grinovero

Reporter

Sanne Grinovero

Components

Fix versions

Priority

Major